API reference

GET /api/v1/assets

Recently requested assets and their cache status.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.
regionstringnoRestrict results to a single region code.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "ast_b23od75aoz2z9s",
      "created_at": "2024-07-14T13:10:06Z",
      "path": "/static/qmo18mmz",
      "bytes": 1105947,
      "cache_status": "REVALIDATED"
    },
    {
      "id": "ast_1xlsqr34i6ap62",
      "created_at": "2024-09-23T15:16:40Z",
      "path": "/static/assets/ktui3v1g",
      "bytes": 1922634,
      "cache_status": "HIT"
    },
    {
      "id": "ast_awsb71tpzhjvgp",
      "created_at": "2024-06-21T20:03:53Z",
      "path": "/public/static/a5nnnvfx",
      "bytes": 1899896,
      "cache_status": "HIT"
    },
    {
      "id": "ast_xdpmqiul3tmbcn",
      "created_at": "2024-09-09T05:55:32Z",
      "path": "/build/1ftp1co8",
      "bytes": 1007247,
  ...

Example

curl -s https://fronts.badgereu.win/api/v1/assets